%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define name		puretls
%define rversion	0.9
%define beta		b2
%define release		0.%{beta}.1jpp
%define section		free

Name:		%{name}
Version:	%{rversion}
Release:	%{release}
Summary:	Java implementation of SSLv3 and TLSv1
License:	BSD style
Group:		Development/Java
Source0:	%{name}-%{rversion}%{beta}.tar.gz
Patch0:		%{name}-%{version}%{beta}.patch.bz2
Url:		http://www.rtfm.com/puretls
Requires:	cryptix
Requires:	cryptix-asn1
BuildRequires:	ant
BuildRequires:	cryptix
BuildRequires:	cryptix-asn1
BuildRequires:	gnu.getopt
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage project

%description
PureTLS is a free Java-only implementation of the SSLv3 and TLSv1
(RFC2246) protocols. PureTLS was developed by Eric Rescorla for Claymore
Systems, Inc, but is being distributed for free because we believe that
basic network security is a public good and should be a commodity.

%package javadoc
Group:	Development/Java
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%package demo
Group:	Development/Java
Summary:	Demo for %{name}
Requires:	%{name}

%description demo
Demo for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{rversion}%{beta}
%patch
# fix perl location
find . -type f |
    xargs grep -l "/usr/local/bin/perl5" | \
    xargs perl -pi -e "s|/usr/local/bin/perl5|/usr/bin/perl|g;"
find . -type f |
    xargs grep -l "/usr/local/bin/perl" | \
    xargs perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|g;"

# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
ant -Dcryptix.jar=/usr/share/java/cryptix.jar -Dcryptix-asn1.jar=/usr/share/java/cryptix-asn1.jar -Dgnugetopt.jar=/usr/share/java/gnu.getopt.jar
ant -Dcryptix.jar=/usr/share/java/cryptix.jar -Dcryptix-asn1.jar=/usr/share/java/cryptix-asn1.jar -Dgnugetopt.jar=/usr/share/java/gnu.getopt.jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -r build/doc/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 build/%{name}demo.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-demo.jar
install -m 644 *.pem $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 test.pl $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYRIGHT INSTALL LICENSE README
%{javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9-0.b2.1jpp 
- fixed demo jar location
- fixed version
- section macro

* Tue Mar 26 2002 Henri Gomez <hgomez@slib.fr> 0.9b2-1jpp
- puretls 0.9b2

* Fri Jan 18 2002 Henri Gomez <hgomez@slib.fr> 20020113-2jpp
- add version to javadoc subdir

* Tue Jan 15 2002 Henri Gomez <hgomez@slib.fr> 20020113-1jpp
- snapshot 20020113
- fix perl location in demo

* Fri Dec 14 2001 Henri Gomez <hgomez@slib.fr> 20011130-1jpp
- first JPackage release


